package com.om.controller.user;


import com.om.entity.dto.AppBrushFileDTO;
import com.om.entity.vo.AppBrushFileVO;
import com.om.service.IBrushFileService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author bmmx
 * @since 2024-03-21
 */
@RestController
@Api(tags = "ECU刷写文件")
@RequestMapping("app/brush")
public class APPBrushFileController {


    @Resource
    private IBrushFileService brushFileService;

    @PostMapping("getBrushFileList")
    @ApiOperation("获取ECU刷写文件下载列表")
    public Result<List<AppBrushFileVO>> getBrushFileList(@RequestBody AppBrushFileDTO dto){
        return brushFileService.getBrushFileList(dto);
    }
}
