package com.om.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class DiaLogQueryPageDTO {
    @ApiModelProperty(value = "当前页码")
    private Integer pageIndex;

    @ApiModelProperty(value = "每个页码的大小")
    private Integer pageSize;

    @ApiModelProperty(value = "搜索字段---设备vcisn号")
    private String vciSn;

    @ApiModelProperty(value = "搜索字段---用户名")
    private String account;

    @ApiModelProperty(value = "搜索字段---开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "搜索字段---结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime endTime;
}
