package com.om.entity.vo;


import com.om.entity.dto.AppBaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;


@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
public class APpDistributorVO extends AppBaseDTO implements Serializable {

    @ApiModelProperty(value = "公司名称")
    private String company;

    @ApiModelProperty(value = "公司地址")
    private String address;

    @ApiModelProperty(value = "公司电话")
    private String telephone;

    @ApiModelProperty(value = "公司网址")
    private String website;




}
