package com.om.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class DiagnosisInfoDTO implements Serializable {
    private Integer id;
   private String diagnosisName;
   private String version;
   private String username;
   private String secret;
   private String brandName;
   private String clientName;
   private String fileSize;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
   private LocalDateTime createTime;
   private Integer status;
}
