package com.om.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class AppBrushFileVO {

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "刷写文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "创建时间")
    private long createTime;

    @ApiModelProperty(value = "版本描述")
    private String description;



}
