package com.om.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class DiagnosisVersionSearchVO implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;
    private String mark;
    private String diagnosisName;
    private String brandName;
    private String[] clientNames;
    private String[] language;
    private String[] descriptionList;
    private String fileUrl;
    private String fileName;
    private long diagnosisFileSize;
    private Integer status;
    private String username;
    private String version;
    private String savePath;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

}
