package com.om.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-02-15
 */
@Data
@NoArgsConstructor
public class QueryRepairVO implements Serializable {

    @ApiModelProperty(value = "报告id")
    private Integer id;

    @ApiModelProperty(value = "系统数")
    private Integer systemCount;

    @ApiModelProperty(value = "故障数")
    private Integer FaultCount;

    @ApiModelProperty(value = "里程")
    private String mileage;

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "维修厂名称")
    private String departmentName;

    @ApiModelProperty(value = "报告编号")
    private String repairNum;

    @ApiModelProperty(value = "报告序列号")
    private String repairSn;

    @ApiModelProperty(value = "vin编号")
    private String vin;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;



}
