package com.om.utils;

public class ResultCode {
    /**
     * 成功状态码
     */
    public static final Integer SUCCESS = 200;
    /**
     * 失败状态码
     */
    public static final Integer ERROR = 400;

    /**
     * 未授权状态码
     */
    public static final int NO_AUTH = 401;
    /**
     * 访问受限，授权过期状态码
     */
    public static final int AUTH_EX = 403;

    /**
     * 请求成功
     */
    public static final Integer REQUEST_SUCCESS = 10000;

    /**
     * 未获取到数据
     */
    public static final Integer NO_DATA = 24001;

    /**
     * guid过期
     */
    public static final Integer GUID_EXPIRE = 24002;

    /**
     * 用户不存在
     */
    public static final Integer USER_NO_EXIST = 24039;

    /**
     * 用户已被注销
     */
    public static final Integer USER_CANCELED = 31005;

    /**
     * 用户名不存在
     */
    public static final Integer USERNAME_NO_EXIST = 32001;

    /**
     * 密码错误
     */
    public static final Integer PASSWORD_ERROR = 32002;

    /**
     * 密码加密错误
     */
    public static final Integer PASSWORD_ENCRYPT_ERROR = 32004;

    /**
     * 用户被禁用
     */
    public static final Integer USER_DISABLED = 32003;

    /**
     * 设备已是默认状态
     */
    public static final Integer VCI_DEFAULTED = 33005;

    /**
     * 服务器处理异常
     */
    public static final Integer SERVICE_HANDLE_ERROR = 53001;

    /**
     * 签名校验失败
     */
    public static final Integer SIGN_VERIFICATION_FAILED = 53002;

    /**
     * 时间戳校验失败
     */
    public static final Integer TIME_VERIFICATION_FAILED = 53003;

    /**
     * 错误的请求方法
     */
    public static final Integer REQUEST_METHOD_ERROR = 53004;

    /**
     * 错误的请求参数
     */
    public static final Integer REQUEST_ARGS_ERROR = 53005;

    /**
     * 错误的 accesstoken
     */
    public static final Integer ACCESS_TOKEN_ERROR = 53006;

    /**
     * 验证码无效
     */
    public static final Integer CODE_ERROR = 53007;

    /**
     * 账号尚未激活
     */
    public static final Integer USER_NO_ACTIVATE = 32004;

}
